> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orova.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tools

> List all tools in a workspace

## Request

```bash theme={null}
curl "https://app.orova.ai/api/tools?workspaceId=WORKSPACE_ID" \
  -H "x-api-key: YOUR_API_KEY"
```

## Query parameters

| Parameter     | Type   | Default | Description         |
| ------------- | ------ | ------- | ------------------- |
| `workspaceId` | string | —       | Filter by workspace |

## Response

```json theme={null}
{
  "data": [
    {
      "_id": "tool_abc123",
      "name": "Check Order Status",
      "type": "http",
      "description": "Use when the caller asks about their order status",
      "workspaceId": "WORKSPACE_ID",
      "createdAt": "2025-01-01T00:00:00.000Z"
    },
    {
      "_id": "tool_def456",
      "name": "HubSpot",
      "type": "integration",
      "templateId": "hubspot",
      "description": "CRM tools for HubSpot",
      "workspaceId": "WORKSPACE_ID",
      "createdAt": "2025-01-01T00:00:00.000Z"
    }
  ]
}
```
